Runtime

## org.eclipse.gmf.runtime.draw2d.ui.figures
Interface DropShadowBorder

All Superinterfaces:
  Border, org.eclipse.gmf.runtime.draw2d.ui.internal.figures.TransparentBorder

All Known Implementing Classes:
  RectangularDropShadowLineBorder

    public interface DropShadowBorder

extends org.eclipse.gmf.runtime.draw2d.ui.internal.figures.TransparentBorder, Border

Method Summary
`void` `setShouldDrawDropShadow(boolean drawDropShadow)` Sets whether the border will draw a drop shadow with the border edge.
`boolean` `shouldDrawDropShadow()`

Methods inherited from interface org.eclipse.gmf.runtime.draw2d.ui.internal.figures.TransparentBorder
`getTransparentInsets`

Methods inherited from interface org.eclipse.draw2d.Border
`getInsets, getPreferredSize, isOpaque, paint`

Method Detail

### setShouldDrawDropShadow

    void setShouldDrawDropShadow(boolean drawDropShadow)

  Sets whether the border will draw a drop shadow with the border edge.

  Parameters:
    `drawDropShadow` -

### shouldDrawDropShadow

    boolean shouldDrawDropShadow()

  Returns:
    true iff the border painting method will draw a shadow

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.